gr-baz Package

Public Member Functions | Friends | List of all members
baz_peak_detector Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_peak_detector.h>`

Inheritance diagram for baz_peak_detector:
[legend]

## Public Member Functions
| ~baz_peak_detector ()
void | set_threshold (float threshold)
void | unset_threshold ()
float | threshold () const
float | threshold_set () const
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends
BAZ_API baz_peak_detector_sptr | baz_make_peak_detector (float min_diff, int min_len, int lockout, float drop, float alpha, int look_ahead, bool byte_output, bool verbose)
| Return a shared_ptr to a new instance of baz_peak_detector. More...

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ◆ ~baz_peak_detector()

baz_peak_detector::~baz_peak_detector | ( |  | ) |

## Member Function Documentation

## ◆ forecast()

void baz_peak_detector::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## ◆ general_work()

int baz_peak_detector::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## ◆ set_threshold()

void baz_peak_detector::set_threshold | ( | float | threshold | ) |

## ◆ threshold()

float baz_peak_detector::threshold | ( |  | ) | const
| inline

## ◆ threshold_set()

float baz_peak_detector::threshold_set | ( |  | ) | const
| inline

## ◆ unset_threshold()

void baz_peak_detector::unset_threshold | ( |  | ) |

## Friends And Related Function Documentation

## ◆ baz_make_peak_detector

BAZ_API baz_peak_detector_sptr baz_make_peak_detector | ( | float | min_diff,
|  | int | min_len,
|  | int | lockout,
|  | float | drop,
|  | float | alpha,
|  | int | look_ahead,
|  | bool | byte_output,
|  | bool | verbose
| ) |  |
| friend

Return a shared_ptr to a new instance of baz_peak_detector.

To avoid accidental use of raw pointers, baz_peak_detector's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_peak_detector.h